关闭

Python 3.4 install lxml

标签: pythonlxml
3317人阅读 评论(0) 收藏 举报
分类:

Python 中使用Xpath不可避免地需要倒入lxml模块。
不过现在Python所面临的一个主要问题是他有两个主流的版本2.7和3.4

2.7是相对稳定的版本,许多模块在2.7上的支持性都非常好。
3.4相对来说,笔者认为更加标准和规范化,比如说默认的精确除法,以及print的括号等。
但3.4美中不足的便是对一些模块的支持行不是很好,比如:scrapy,lxml等

笔者使用的Python3.4中pip直接安装lxml会报出编译器错误,这个问题可能会在后续版本中改进,不过现在可行的一个解决办法是下载安装lxml编译过后的版本,从而跳过编译过程。

下载链接
下载后切换到相应目录使用pip install 文件名即可
这样就可以在Python中使用lxml了。

PS:

  1. 一个小小的瑕疵,那就是没有lxml的源码,如果你使用Pycharm等IDE,那么将缺乏一些代码提示。
  2. 虽然解决了安装scrapy时lxml的问题,由于scrapy本身的设计,在当前版本(1.0.1)中还是只能在2.7使用。
1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:120075次
    • 积分:1548
    • 等级:
    • 排名:千里之外
    • 原创:43篇
    • 转载:11篇
    • 译文:0篇
    • 评论:3条
    文章分类
    最新评论